Subject: Re: bug#63480: 30.0.50; [BUG] unimplemented logic regarding read-symbol-shorthands

From: Stefan Kangas <[email-masked]>
Date: Wed, 6 Sep 2023 13:17:29 -0700

João Távora <[email-masked]> writes:

> This is a duplicate of
>
>    https://github.com/joaotavora/breadcrumb/issues/3
>
> which has already been solved.  I updated the autoloads to use
> longhand versions already a couple of months ago.

OK, thanks.

> I'll leave it to you if this issue can be closed or not.

I guess the issue here is what you describe below?  If so, I guess it
should remain open until it is fixed.

> Anyway, the problem with shorthands and autoloads remains.
> The GitHub user 'dickmao' proposed a patch there, which I
> didn't test, but I attach here.
>
> My idea for an alternative patch would be for the "autoload
> extractor" (which I'm not familiar with) to see the shorthand
> autoload but place it in longhand form in the generated
> autoloads file.  I don't have a patch for that idea,
> unfortunately.